> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenia.team/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Task Status

> Change the status of a specific task to one of the valid status values.



## OpenAPI

````yaml PATCH /api/v1/task/setTaskStatus/{taskId}
openapi: 3.1.0
info:
  title: Xenia Team API - Update Task Status
  version: 1.0.0
  description: API to update the status of a task.
servers:
  - url: https://api.xenia.team
security: []
paths:
  /api/v1/task/setTaskStatus/{taskId}:
    patch:
      tags:
        - Tasks
      summary: Update Task Status
      description: Change the status of a specific task to one of the valid status values.
      parameters:
        - name: taskId
          in: path
          required: true
          schema:
            type: string
            format: uuid
            example: 232154c0-c239-48f8-b670-0e5d12fd64d0
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                status:
                  type: string
                  enum:
                    - Open
                    - In Progress
                    - On Hold
                    - Completed
                  example: In Progress
                workspaceId:
                  type: string
                  format: uuid
                  description: UUID of the workspace.
                  example: cb363f7e-c52a-4478-911d-f6a6f791090e
              required:
                - status
                - workspaceId
      responses:
        '200':
          description: Task status update result
          content:
            application/json:
              examples:
                Started:
                  summary: Task started
                  value:
                    data: {}
                    extra_meta:
                      message: Task started successfully
                On Hold:
                  summary: Task on hold
                  value:
                    data: {}
                    extra_meta:
                      message: Task put on hold successfully
                Completed:
                  summary: Task completed
                  value:
                    data: {}
                    extra_meta:
                      message: Task completed successfully
                Reopened:
                  summary: Task reopened
                  value:
                    data: {}
                    extra_meta:
                      message: Task has been Re-Opened Successfully
        '400':
          description: Bad Request - Invalid status value.
        '401':
          description: Unauthorized - Missing or invalid authentication.
        '403':
          description: Forbidden - Insufficient permissions to update task status.
        '404':
          description: Not Found - Task does not exist.
        '500':
          description: Internal Server Error.
      security:
        - clientKey: []
          clientSecret: []
components:
  securitySchemes:
    clientKey:
      type: apiKey
      in: header
      name: x-client-key
    clientSecret:
      type: apiKey
      in: header
      name: x-client-secret

````